events.listen('recipes', function (e) {

  /**********************Immersive PLATE***********************/
  function plateImmersive(ingredient, output) {
    e.custom({
      "type": "immersiveengineering:metal_press",
      "mold": { "item": "immersiveengineering:mold_plate" },
      "result": { "item": output + "_plate" }, "input": {
        "count": 1, "base_ingredient": { "item": ingredient }
      }, "energy": 2400
    })
  }


  plateImmersive('thermal:enderium_ingot', 'thermal:enderium')
  plateImmersive('minecraft:netherite_ingot', 'thermal:netherite')
  plateImmersive('thermal:signalum_ingot', 'thermal:signalum')
  plateImmersive('thermal:lumium_ingot', 'thermal:lumium')
  plateImmersive('mekanism:ingot_antimatter', 'mekanism:antimatter')
  plateImmersive('thermal_extra:dragon_bronze_ingot', 'thermal_extra:dragon_bronze')
  plateImmersive('thermal_extra:dragon_enderium_ingot', 'thermal_extra:dragon_enderium')
  plateImmersive('thermal_extra:drownium_ingot', 'thermal_extra:drownium')
  plateImmersive('thermal_extra:polarium_ingot', 'thermal_extra:polarium')
  plateImmersive('thermal_extra:nebulium_ingot', 'thermal_extra:nebulium')
  plateImmersive('thermal_extra:vukaium_ingot', 'thermal_extra:vukaium')
  plateImmersive('thermal_extra:nectium_ingot', 'thermal_extra:nectium')
  plateImmersive('thermal_extra:zauvium_ingot', 'thermal_extra:zauvium')


  /**********************Immersive Gear***********************/
  function gearImmersive(ingredient, output) {
    e.custom({
      "type": "immersiveengineering:metal_press",
      "mold": { "item": "immersiveengineering:mold_gear" },
      "result": { "item": output + "_gear" }, "input": {
        "count": 4, "base_ingredient": { "item": ingredient }
      }, "energy": 5000
    })
  }

  gearImmersive('kubejs:diamond_plate', 'thermal:diamond')
  gearImmersive('thermal:enderium_plate', 'thermal:enderium')
  gearImmersive('kubejs:emerald_plate', 'thermal:emerald')
  gearImmersive('thermal:netherite_plate', 'thermal:netherite')
  gearImmersive('thermal:signalum_plate', 'thermal:signalum')
  gearImmersive('thermal:lumium_plate', 'thermal:lumium')
  gearImmersive('thermal_extra:dragon_bronze_plate', 'thermal_extra:dragon_bronze')
  gearImmersive('thermal_extra:dragon_enderium_plate', 'thermal_extra:dragon_enderium')
  gearImmersive('thermal_extra:drownium_plate', 'thermal_extra:drownium')
  gearImmersive('thermal_extra:polarium_plate', 'thermal_extra:polarium')
  gearImmersive('thermal_extra:nebulium_plate', 'thermal_extra:nebulium')
  gearImmersive('thermal_extra:vukaium_plate', 'thermal_extra:vukaium')
  gearImmersive('thermal_extra:nectium_plate', 'thermal_extra:nectium')
  gearImmersive('thermal_extra:zauvium_plate', 'thermal_extra:zauvium')




  /**********************Kubejs Plate***********************/
  function plateKubejs(ingredient, output) {
    e.custom({
      "type": "immersiveengineering:metal_press",
      "mold": { "item": "immersiveengineering:mold_plate" },
      "result": { "item": output + "_plate" }, "input": {
        "count": 1, "base_ingredient": { "item": ingredient }
      }, "energy": 5000
    })
  }

  plateKubejs('astralsorcery:starmetal_ingot', 'kubejs:starmetal')
  plateKubejs('draconicevolution:awakened_draconium_ingot', 'kubejs:awakened_draconium')
  plateKubejs('draconicevolution:draconium_ingot', 'kubejs:draconium')
  plateKubejs('bigreactors:yellorium_ingot', 'kubejs:yellorium')
  plateKubejs('immersiveengineering:ingot_hop_graphite', 'kubejs:hop_graphite')
  plateKubejs('extendedcrafting:crystaltine_ingot', 'kubejs:crystaltine')
  plateKubejs('extendedcrafting:redstone_ingot', 'kubejs:redstone')
  plateKubejs('extendedcrafting:ender_ingot', 'kubejs:ender')
  plateKubejs('extendedcrafting:enhanced_ender_ingot', 'kubejs:enhanced_ender')
  plateKubejs('materialis:fairy_ingot', 'kubejs:fairy')
  plateKubejs('mekanism:ingot_refined_glowstone', 'kubejs:refined_glowstone')
  plateKubejs('mekanism:ingot_refined_obsidian', 'kubejs:refined_obsidian')
  plateKubejs('mythicbotany:alfsteel_ingot', 'kubejs:alfsteel')
  plateKubejs('mysticalagriculture:prosperity_ingot', 'kubejs:prosperity')
  plateKubejs('mysticalagriculture:soulium_ingot', 'kubejs:soulium')
  plateKubejs('mysticalagriculture:inferium_ingot', 'kubejs:inferium')
  plateKubejs('mysticalagriculture:prudentium_ingot', 'kubejs:prudentium')
  plateKubejs('mysticalagriculture:tertium_ingot', 'kubejs:tertium')
  plateKubejs('mysticalagriculture:imperium_ingot', 'kubejs:imperium')
  plateKubejs('mysticalagriculture:supremium_ingot', 'kubejs:supremium')
  plateKubejs('mysticalagradditions:insanium_ingot', 'kubejs:insanium')
  plateKubejs('industrialforegoing:pink_slime_ingot', 'kubejs:pink_slime_ingot')
  plateKubejs('blue_skies:falsite_ingot', 'kubejs:falsite')
  plateKubejs('blue_skies:ventium_ingot', 'kubejs:ventium')
  plateKubejs('blue_skies:horizonite_ingot', 'kubejs:horizonite')
  plateKubejs('tconstruct:hepatizon_ingot', 'kubejs:hepatizon')
  plateKubejs('tconstruct:pig_iron_ingot', 'kubejs:pig_iron')
  plateKubejs('tconstruct:queens_slime_ingot', 'kubejs:queens_slime')
  plateKubejs('tconstruct:slimesteel_ingot', 'kubejs:slimesteel')
  plateKubejs('kubejs:diamond_ingot', 'kubejs:diamond')
  plateKubejs('kubejs:emerald_ingot', 'kubejs:emerald')
  plateKubejs('kubejs:ornium_ingot', 'kubejs:ornium')
  plateKubejs('kubejs:ouranium_ingot', 'kubejs:ouranium')
  plateKubejs('kubejs:lightium_ingot', 'kubejs:lightium')
  plateKubejs('kubejs:tornium_ingot', 'kubejs:tornium')
  plateKubejs('berseria_sky:elinvonze_ingot', 'berseria_sky:elinvonze')
  plateKubejs('berseria_sky:comerald_ingot', 'berseria_sky:comerald')
  plateKubejs('berseria_sky:manyerium_ingot', 'berseria_sky:manyerium')
  plateKubejs('berseria_sky:fayronium_ingot', 'berseria_sky:fayronium')
  plateKubejs('berseria_sky:queens_steel_ingot', 'berseria_sky:queens_steel')
  plateKubejs('berseria_sky:manronium_steel_ingot', 'berseria_sky:manronium_steel')
  plateKubejs('botania:manasteel_ingot', 'kubejs:manasteel')
  plateKubejs('botania:terrasteel_ingot', 'kubejs:terrasteel')
  plateKubejs('botania:elementium_ingot', 'kubejs:elementium')
  plateKubejs('kubejs:moon_ingot', 'kubejs:moon')
  plateKubejs('kubejs:sun_ingot', 'kubejs:sun')


  function gearKubejs(ingredient, output) {
    e.custom({
      "type": "immersiveengineering:metal_press",
      "mold": { "item": "immersiveengineering:mold_gear" },
      "result": { "item": output + "_gear" }, "input": {
        "count": 4, "base_ingredient": { "item": ingredient }
      }, "energy": 5000
    })
  }

  gearKubejs('kubejs:starmetal_plate', 'kubejs:starmetal')
  gearKubejs('kubejs:awakened_draconium_plate', 'kubejs:awakened_draconium')
  gearKubejs('kubejs:draconium_plate', 'kubejs:draconium')
  gearKubejs('kubejs:ender_plate', 'kubejs:ender')
  gearKubejs('kubejs:cyanite_plate', 'kubejs:cyanite')
  gearKubejs('kubejs:hop_graphite_plate', 'kubejs:hop_graphite')
  gearKubejs('kubejs:redstone_plate', 'kubejs:redstone')
  gearKubejs('kubejs:crystaltine_plate', 'kubejs:crystaltine')
  gearKubejs('kubejs:enhanced_ender_plate', 'kubejs:enhanced_ender')
  gearKubejs('kubejs:fairy_plate', 'kubejs:fairy')
  gearKubejs('kubejs:prosperity_plate', 'kubejs:prosperity')
  gearKubejs('kubejs:soulium_plate', 'kubejs:soulium')
  gearKubejs('kubejs:inferium_plate', 'kubejs:inferium')
  gearKubejs('kubejs:prudentium_plate', 'kubejs:prudentium')
  gearKubejs('kubejs:tertium_plate', 'kubejs:tertium')
  gearKubejs('kubejs:imperium_plate', 'kubejs:imperium')
  gearKubejs('kubejs:supremium_plate', 'kubejs:supremium')
  gearKubejs('kubejs:insanium_plate', 'kubejs:insanium')
  gearKubejs('kubejs:alfsteel_plate', 'kubejs:alfsteel')
  gearKubejs('kubejs:pink_slime_ingot_plate', 'kubejs:pink_slime_ingot')
  gearKubejs('kubejs:ventium_plate', 'kubejs:ventium')
  gearKubejs('kubejs:falsite_plate', 'kubejs:falsite')
  gearKubejs('kubejs:horizonite_plate', 'kubejs:horizonite')
  gearKubejs('kubejs:hepatizon_plate', 'kubejs:hepatizon')
  gearKubejs('kubejs:pig_iron_plate', 'kubejs:pig_iron')
  gearKubejs('kubejs:queens_slime_plate', 'kubejs:queens_slime')
  gearKubejs('kubejs:slimesteel_plate', 'kubejs:slimesteel')
  gearKubejs('powah:steel_energized', 'kubejs:steel_energized')
  gearKubejs('kubejs:ornium_plate', 'kubejs:ornium')
  gearKubejs('kubejs:lightium_plate', 'kubejs:lightium')
  gearKubejs('kubejs:tornium_plate', 'kubejs:tornium')
  gearKubejs('kubejs:ouranium_plate', 'kubejs:ouranium')
  gearKubejs('berseria_sky:manyerium_plate', 'berseria_sky:manyerium')
  gearKubejs('berseria_sky:fayronium_plate', 'berseria_sky:fayronium')
  gearKubejs('berseria_sky:comerald_plate', 'berseria_sky:comerald')
  gearKubejs('berseria_sky:queens_steel_plate', 'berseria_sky:queens_steel')
  gearKubejs('kubejs:refined_glowstone_plate', 'kubejs:refined_glowstone')
  gearKubejs('kubejs:refined_obsidian_plate', 'kubejs:refined_obsidian')
  gearKubejs('berseria_sky:manronium_steel_plate', 'berseria_sky:manronium_steel')
  gearKubejs('kubejs:yellorium_plate', 'kubejs:yellorium')
  gearKubejs('kubejs:manasteel_plate', 'kubejs:manasteel')
  gearKubejs('kubejs:terrasteel_plate', 'kubejs:terrasteel')
  gearKubejs('kubejs:elementium_plate', 'kubejs:elementium')
  gearKubejs('berseria_sky:elinvonze_plate', 'berseria_sky:elinvonze')
  gearKubejs('kubejs:moon_plate', 'kubejs:moon')
  gearKubejs('kubejs:sun_plate', 'kubejs:sun')



})